[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] [Libvirt-announce] Entering freeze for libvirt-0.10.0



On 22/08/2012, at 9:51 PM, Daniel Veillard wrote:
>  As planned, I just tagged 0.10.0 release candidate 1 in git and
> pushed a tarball and rpms to the usual place:
>   ftp://libvirt.org/libvirt/
> 
> I gave it a try locally and things seems to work as expected, but
> that's far from an extensive testing :-)
> 
>  So please try it, try to compile it on various platforms and
> send feedback to the list.

Compilation is failing on OSX 10.7:

  ...
    CC     libvirt_util_la-viruri.lo
    CC     libvirt_conf_la-netdev_bandwidth_conf.lo
  util/virnetlink.c:819: error: conflicting types for 'virNetlinkEventAddClient'
  util/virnetlink.h:82: error: previous declaration of 'virNetlinkEventAddClient' was here
  util/virnetlink.c: In function 'virNetlinkEventAddClient':
  util/virnetlink.c:819: error: expected ',' or ';' before ')' token
  util/virnetlink.c:830: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'unsigned'
  util/virnetlink.c:834: error: old-style parameter declarations in prototyped function definition
  util/virnetlink.c:834: error: expected '{' at end of input
  make[3]: *** [libvirt_util_la-virnetlink.lo] Error 1

Any ideas?

Regards and best wishes,

Justin Clift

--
Aeolus Community Manager
http://www.aeolusproject.org



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]